"""Setup's script."""

from setuptools import setup, find_namespace_packages


with open('README.md', 'rt', encoding='utf-8') as description:
    long_description = description.read()


PACKAGE = {
    'name': 'frenzy',
    'description': 'A Python library for data-transforming',
    'url': 'https://github.com/mhalairt/frenzy',
    'long_description': long_description,
    'long_description_content_type': 'text/markdown',
    'version': '1.0.0-a',
    'classifiers': [
        'Development Status :: 1 - Planning',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: Implementation :: CPython',
        'Operating System :: POSIX :: Linux',
    ],
    'license': 'BSD',
    'author': 'Mikhalev Oleg',
    'author_email': 'mhalairt@gmail.com',
    'packages': find_namespace_packages('src'),
    'package_dir': {
        '': 'src',
    },
    'python_requires': '>=3.5',
    'install_requires': [
        'pydantic',
    ],
    'extras_require': {
        'lint': [
            'flake8',
            'flake8-docstrings',
            'flake8-quotes',
            'flake8-builtins',
        ],
        'test': [
            'pytest',
            'pytest-cov',
        ],
    },
}


if __name__ == '__main__':
    setup(**PACKAGE)
